
<mat-card class="movie-thumbnail" >
    <!-- <mat-card-header>
        <mat-card-title class="movie-title">{{movie?.title}}</mat-card-title>
        <mat-card-subtitle>{{movie?.release_date}}</mat-card-subtitle>
    </mat-card-header> -->
    <img mat-card-image class="movie-image" [src]="movie?.poster_path" [alt]="movie?.title" (click)="getMovieDetails()">
<!-- <mat-card-content class="movie-overview">
        {{movie?.overview}}
</mat-card-content>
<mat-card-actions class="movie-actions">
    <button mat-button color="primary"  (click)="addToWatchlist()">Add to Watchlist</button>
   
</mat-card-actions> -->
</mat-card>